#ifndef DIGEST_H
#define DIGEST_H  1


/* ========================================================================== */
/* Include files */


/*! \addtogroup DIGEST */
/* @{ */


/* ========================================================================== */
/* Constants */

/*! \brief Lenght of SHA1 message digest */
#define DIGEST_SHA1_LEN  (size_t) 20


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  digest_sha1(const char*, size_t, unsigned char*);
extern void  digest_init(void);
extern void  digest_exit(void);


#endif  /* DIGEST_H */

/* EOF */
