#ifndef HMAC_H
#define HMAC_H  1


/* ========================================================================== */
/* Include files */


/*! \addtogroup HMAC */
/* @{ */


/* ========================================================================== */
/* Constants */

/*! \brief Lenght of HMAC_SHA1 message authentication code */
#define HMAC_SHA1_LEN  (size_t) 20


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  hmac_sha1(const char*, size_t, const char*, size_t, unsigned char*);
extern void  hmac_init(void);
extern void  hmac_exit(void);


#endif  /* HMAC_H */

/* EOF */
